
package com.netwisd.biz.demo.service;

import com.netwisd.biz.demo.entity.Product;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.netwisd.biz.demo.dto.ProductDto;
import com.netwisd.biz.demo.vo.ProductVo;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @Description 商品
 * @author incoder@netwisd.com
 * @date 2024-04-30 16:07:27
 */
public interface ProductService extends IService<Product> {
    Page<ProductVo> page(ProductDto productDto);
    ProductVo get(Long id);
    ProductVo save(ProductDto productDto);
    ProductVo update(ProductDto productDto);
    Boolean delete(Long id);
}
